class Time

	@@my_holidays = {}

	@@my_holidays['2009'] = {									# 2009年度
		# 省略
		'0101' => 'おしょうがつ',								# 2010年
		'0111' => 'せいじんの日',
		'0211' => 'けんこくきねん日',
		'0321' => 'しゅんぶんの日',
		'0322' => 'ふりかえきゅうじつ',
	}

	@@my_holidays['2010'] = {									# 2010年度
		'0429' => 'しょうわの日',
		'0503' => 'けんぽうきねん日',
		'0504' => 'みどりの日',
		'0505' => 'こどもの日',
		'0719' => 'うみの日',
		'0920' => 'けいろうの日',
		'0923' => 'しゅうぶんの日',
		'1011' => 'たいいくの日',
		'1103' => 'ぶんかの日',
		'1123' => 'きんろうかんしゃの日',
		'1223' => 'てんのうたんじょう日',
		'0101' => 'おしょうがつ',								# 2011年
		'0110' => 'せいじんの日',
		'0211' => 'けんこくきねん日',
		'0321' => 'しゅんぶんの日',
	}

	def my_holiday?
		it = @@my_holidays[(year - (month < 4 ? 1 : 0)).to_s] || {}
		it = it['%02d%02d' % [month, day]] and return(it =~ /^!/ ? false : it)
		false
	end
end

__END__

